use crate::models::parameters::GeoffreyParam;
use crate::models::token::Permissions;
use serde::{Deserialize, Serialize};

#[derive(Debug, Serialize, Deserialize, Clone)]
pub struct AddTokenParams {
    pub permissions: Vec<Permissions>,
}

impl AddTokenParams {
    fn new(permissions: Vec<Permissions>) -> Self {
        Self { permissions }
    }
}

impl GeoffreyParam for AddTokenParams {}
