pub mod add_item_params;
pub mod add_location_params;
pub mod add_token_params;
pub mod delete_params;
pub mod find_params;
pub mod register_params;
pub mod selling_params;
pub mod set_portal_params;

use crate::models::player::UserID;
use serde::de::DeserializeOwned;
use serde::{Deserialize, Serialize};
use std::fmt::Debug;

pub trait GeoffreyParam: Serialize + DeserializeOwned + Debug + Clone + Send + Sync {}

#[derive(Serialize, Deserialize, Debug, Clone)]
pub struct CommandRequest<T> {
    pub token: String,
    pub user_id: Option<UserID>,
    pub params: T,
}
