use crate::models::parameters::GeoffreyParam;
use crate::models::player::UserID;
use serde::{Deserialize, Serialize};

#[derive(Debug, Serialize, Deserialize, Clone)]
pub struct RegisterParameters {
    pub username: String,
    pub user_id: UserID,
}

impl RegisterParameters {
    pub fn new(username: String, user_id: UserID) -> Self {
        RegisterParameters { username, user_id }
    }
}

impl GeoffreyParam for RegisterParameters {}
