use crate::models::parameters::GeoffreyParam;
use crate::models::Portal;
use serde::{Deserialize, Serialize};

#[derive(Debug, Serialize, Deserialize, Clone)]
pub struct SetPortalParams {
    pub loc_name: String,
    pub portal: Portal,
}

impl SetPortalParams {
    pub fn new(loc_name: String, portal: Portal) -> Self {
        Self { loc_name, portal }
    }
}

impl GeoffreyParam for SetPortalParams {}
